xcb_xkb_set_names(3)

NAME
xcb_xkb_set_names -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_names(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint16_t virtualMods, uint32_t which, uint8_t firstType, uint8_t nTypes, uint8_t firstKTLevelt, uint8_t nKTLevels, uint32_t indicators, uint8_t groupNames, uint8_t nRadioGroups, xcb_keycode_t firstKey, uint8_t nKeys, uint8_t nKeyAliases, uint16_t totalKTLevelNames, const void *values);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

virtualMods
    TODO: NOT YET DOCUMENTED.

which
    TODO: NOT YET DOCUMENTED.

firstType
    TODO: NOT YET DOCUMENTED.

nTypes
    TODO: NOT YET DOCUMENTED.

firstKTLevelt
    TODO: NOT YET DOCUMENTED.

nKTLevels
    TODO: NOT YET DOCUMENTED.

indicators
    TODO: NOT YET DOCUMENTED.

groupNames
    TODO: NOT YET DOCUMENTED.

nRadioGroups
    TODO: NOT YET DOCUMENTED.

firstKey
    TODO: NOT YET DOCUMENTED.

nKeys
    TODO: NOT YET DOCUMENTED.

nKeyAliases
    TODO: NOT YET DOCUMENTED.

totalKTLevelNames
    TODO: NOT YET DOCUMENTED.

values
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_names_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.